﻿using System;
using System.Collections.Generic;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Text;

namespace HeuristicLab.Modeling.SQLiteBackend {
  [Table(Name = "Result")]
  public class Result {
    public Result() {
    }

    private int id;
    [Column(Storage = "id", DbType = "integer", IsPrimaryKey = true, IsDbGenerated = true, UpdateCheck = UpdateCheck.Never)]
    public int Id {
      get { return this.id; }
      private set { this.id = value; }
    }

    private string name;
    [Column(Storage = "name", DbType = "VarChar(50) NOT NULL", CanBeNull = false)]
    public string Name {
      get { return this.name; }
      private set { this.name = value; }
    }

  }
}
