﻿using System;
using System.Collections.Generic;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Text;

using HeuristicLab.DataAnalysis;

namespace HeuristicLab.Modeling.SQLiteBackend {
  [Table(Name = "Problem")]
  public class Problem {
    public Problem() {
    }

    private int id;
    [Column(Storage = "id", DbType = "integer", IsPrimaryKey = true, IsDbGenerated = true)]
    public int Id {
      get { return this.id; }
      private set { this.id = value; }
    }

    private Dataset dataset;
    [Column(Storage = "dataset", DbType = "text", CanBeNull = false)]
    public Dataset Dataset {
      get { return this.dataset; }
      set { this.dataset = value; }
    }    
  }
}
